Subject: Potential cp bug: directories created with --parents and --no-preserve=mode retain original mode bits don't match ~umask

From: Mark Mitchell <[email-masked]>
Date: Wed, 17 Aug 2016 11:42:40 +0000

Hi,

I'm writing to report a potential bug with cp.  I don't think the mode bits
always get properly set on directories created when using the --parents
option combined with --no-preserve=mode option.  I'm not sure what the
expected behaviour is supposed to be, but my assumption is that the created
directories would match process's ~umask (like mkdir -p).

I've attached a simple script and its output to demonstrate the behaviour.
I've tested this on the most recent master branch of the coreutils git
repository (output of git describe is 'v8.25-55-gff2178b').

Thanks for your efforts on these utilities, it is much appreciated :-).

-Mark